"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
// handler.spec.ts
// import * as mocha from 'mocha';
const chai = require("chai");
const aws_sdk_1 = require("aws-sdk");
const handler_1 = require("../src/handler");
const expect = chai.expect;
describe('handler', () => {
    describe('transliterate', () => {
        it('should return ohayougozaimasu', () => {
            const event = new MockAPIEvent();
            event.queryStringParameters = { input: 'おはようございます' };
            handler_1.transliterateHandler(event, undefined, (error, result) => {
                expect(result.body).to.be.equal('{"input":"おはようございます","output":"ohayougozaimasu"}');
            });
        });
    });
});
describe('handler', () => {
    describe('createrecord', () => {
        it('should create a record', () => {
            process.env.DYNAMODB_TABLE = 'aws-nodejs-test';
            aws_sdk_1.config.region = 'us-west-2';
            const event = new MockAPIEvent();
            event.body = JSON.stringify({
                text: 'test data'
            });
            handler_1.createDynDBRecord(event, undefined, (error, result) => {
                expect(JSON.parse(result.body)).to.not.be.null.and.to.have.property('id').to.not.be.null;
            });
        });
    });
});
////////////////
class MockAPIEvent {
    constructor() {
        this.body = '';
        this.headers = {};
        this.httpMethod = 'GET';
        this.isBase64Encoded = false;
        this.path = '';
        this.queryStringParameters = {};
        this.pathParameters = {};
        this.stageVariables = {};
        this.requestContext = undefined;
        this.resource = '';
    }
}
//# sourceMappingURL=handler.spec.js.map