import { transliterate } from 'transliteration';

export class Transliterator {
    transliterate(inputText: string): ITransliteratorResponse {
        if (inputText === undefined) {
            throw 'Malformed input';
        }
        let output = transliterate(inputText);
        let response: ITransliteratorResponse = {
            input: inputText,
            output: output,
            variableTest: process.env.PROGRESS
        };
        return response;
    }

}

export interface ITransliteratorResponse {
  input: string;
  output: string;
  variableTest?: string;
}